package cn.superdesk.uniorder.service.marketing;


import cn.superdesk.uniorder.common.rest.response.R;
import cn.superdesk.uniorder.dao.entity.marketing.UnifiedStatisticsVirt;
import cn.superdesk.uniorder.dto.vo.unified.UnifiedCustomerTJ;
import cn.superdesk.uniorder.dto.vo.unified.UnifiedOrderLastMonth;
import cn.superdesk.uniorder.dto.vo.unified.UnifiedStatisticsVirtSum;
import cn.superdesk.uniorder.dto.vo.unified.UnifiedStatisticsVirtVo;
import cn.superdesk.uniorder.dto.vo.wechat.WxBillVirt;
import cn.superdesk.uniorder.dto.vo.wechat.WxBillVirtItem;
import cn.superdesk.uniorder.service.base.BaseService;

import java.math.BigDecimal;
import java.util.List;
import java.util.Map;

public interface UnifiedStatisticsVirtCommonService extends BaseService<UnifiedStatisticsVirt> {


	/****************************************** 统计 start ******************************************/




	List<UnifiedStatisticsVirt> getVirtOrderReturnStatistical(Map<String, Object> queryMap);

	/****************************************** 统计   end ******************************************/

	List<UnifiedStatisticsVirtVo> findAllVo(Map<String, Object> params);

	UnifiedOrderLastMonth getlastmonth();

	BigDecimal getOrderCostAmount(Map<String, Object> costQuery);

	BigDecimal getReturnAmount(Map<String, Object> params);

	BigDecimal getundzamount(Map<String, Object> params);

	BigDecimal getuninvamount(Map<String, Object> params);

	BigDecimal getunpaymoney(Map<String, Object> params);

	BigDecimal getOrderAmountByAreaItem(Map<String, Object> queryTJ);

	BigDecimal getreturnAmountByAreaItem(Map<String, Object> queryTJ);


	WxBillVirt getVirtBill(Map<String, Object> params);

	List<WxBillVirtItem> getVirtItemBill(Map<String, Object> params);


	/****************************************** 大概这是一堆 start ******************************************/
	R<List<UnifiedCustomerTJ>> getDataByPage(Map<String, Object> params, int pageNum, int pageSize);

	List<UnifiedCustomerTJ> getStatisticsVirtData(Map<String, Object> params);

	UnifiedStatisticsVirtSum getStatisticsSum(Map<String, Object> query);
	/****************************************** 大概这是一堆   end ******************************************/


}
